Installing PDO Oracle and OCI8 from PHP7 on Ubuntu/Mint (Oracle 11.2)

If you are facing problems or if you already had headache to install OCI8 and PDO_OCI modules for Oracle as me, here goes a step by step from what has worked for me. I hope that it helps you too.

The steps in this tutorial require that the user has root privileges.

If already have installed the Apache and the PHP, You only have to verify if your computer has all PHP packages listed on step 2.

Step 1 – Install Apache .

Open the terminal and type the follow commands:

sudo apt-get update
sudo apt-get install apache2

After install the Apache, try on the browser if Continue reading…